Index: trunk/sources/HeuristicLab.Persistence/3.3/Core/Configuration.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Core/Configuration.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Core/Configuration.cs	(revision 1566)
@@ -14,5 +14,5 @@
     private readonly Dictionary<Type, IDecomposer> decomposerCache;
 
-    [Storable]    
+    [Storable]
     public IFormat Format { get; private set; }
 
@@ -24,6 +24,6 @@
       this.Format = format;
       this.formatters = new Dictionary<Type, IFormatter>();
-      foreach ( var pair in formatters ) {
-        if (pair.Value.SerialDataType != format.SerialDataType ) {
+      foreach (var pair in formatters) {
+        if (pair.Value.SerialDataType != format.SerialDataType) {
           throw new ArgumentException("All formatters must have the same IFormat.");
         }
@@ -31,5 +31,5 @@
       }
       this.decomposers = new List<IDecomposer>(decomposers);
-      decomposerCache = new Dictionary<Type, IDecomposer>();      
+      decomposerCache = new Dictionary<Type, IDecomposer>();
     }
 
@@ -42,5 +42,5 @@
     }
 
-    public IFormatter GetFormatter(Type type) {      
+    public IFormatter GetFormatter(Type type) {
       IFormatter formatter;
       formatters.TryGetValue(type, out formatter);
@@ -50,5 +50,5 @@
     public IDecomposer GetDecomposer(Type type) {
       if (decomposerCache.ContainsKey(type))
-        return decomposerCache[type];      
+        return decomposerCache[type];
       foreach (IDecomposer d in decomposers) {
         if (d.CanDecompose(type)) {
@@ -59,6 +59,6 @@
       decomposerCache.Add(type, null);
       return null;
-    }    
-  }  
-  
+    }
+  }
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Core/ConfigurationService.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Core/ConfigurationService.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Core/ConfigurationService.cs	(revision 1566)
@@ -10,5 +10,5 @@
 
 namespace HeuristicLab.Persistence.Core {
-  
+
   public class ConfigurationService {
 
@@ -18,5 +18,5 @@
     public List<IDecomposer> Decomposers { get; private set; }
     public List<IFormat> Formats { get; private set; }
-    
+
     public static ConfigurationService Instance {
       get {
@@ -54,9 +54,9 @@
         }
       } catch (Exception e) {
-        Logger.Warn("Could not load settings.", e);        
+        Logger.Warn("Could not load settings.", e);
       }
     }
 
-    public void SaveSettings() {      
+    public void SaveSettings() {
       Serializer serializer = new Serializer(
         customConfigurations,
@@ -78,5 +78,5 @@
     }
 
-    public void Reset() {      
+    public void Reset() {
       customConfigurations.Clear();
       Formatters.Clear();
@@ -85,5 +85,5 @@
       DiscoverFrom(defaultAssembly);
       foreach (Assembly a in AppDomain.CurrentDomain.GetAssemblies())
-        if ( a != defaultAssembly )
+        if (a != defaultAssembly)
           DiscoverFrom(a);
       SortDecomposers();
@@ -102,8 +102,8 @@
     protected void DiscoverFrom(Assembly a) {
       foreach (Type t in a.GetTypes()) {
-        if (t.GetInterface(typeof (IFormatter).FullName) != null) {
+        if (t.GetInterface(typeof(IFormatter).FullName) != null) {
           try {
-            IFormatter formatter = (IFormatter) Activator.CreateInstance(t, true);
-            if ( ! Formatters.ContainsKey(formatter.SerialDataType) ) {
+            IFormatter formatter = (IFormatter)Activator.CreateInstance(t, true);
+            if (!Formatters.ContainsKey(formatter.SerialDataType)) {
               Formatters.Add(formatter.SerialDataType, new List<IFormatter>());
             }
@@ -114,15 +114,15 @@
               formatter.SerialDataType.VersionInvariantName()));
           } catch (MissingMethodException e) {
-            Logger.Warn("Could not instantiate " + t.VersionInvariantName(), e);            
+            Logger.Warn("Could not instantiate " + t.VersionInvariantName(), e);
           } catch (ArgumentException e) {
             Logger.Warn("Could not instantiate " + t.VersionInvariantName(), e);
           }
         }
-        if (t.GetInterface(typeof (IDecomposer).FullName) != null) {
+        if (t.GetInterface(typeof(IDecomposer).FullName) != null) {
           try {
-            Decomposers.Add((IDecomposer) Activator.CreateInstance(t, true));
+            Decomposers.Add((IDecomposer)Activator.CreateInstance(t, true));
             Logger.Debug("discovered decomposer " + t.VersionInvariantName());
           } catch (MissingMethodException e) {
-            Logger.Warn("Could not instantiate " + t.VersionInvariantName(), e);          
+            Logger.Warn("Could not instantiate " + t.VersionInvariantName(), e);
           } catch (ArgumentException e) {
             Logger.Warn("Could not instantiate " + t.VersionInvariantName(), e);
@@ -136,10 +136,10 @@
               format.Name,
               format.SerialDataType,
-              t.VersionInvariantName()));              
+              t.VersionInvariantName()));
           } catch (MissingMethodException e) {
-            Logger.Warn("Could not instantiate " + t.VersionInvariantName(), e);          
+            Logger.Warn("Could not instantiate " + t.VersionInvariantName(), e);
           } catch (ArgumentException e) {
             Logger.Warn("Could not instantiate " + t.VersionInvariantName(), e);
-          }          
+          }
         }
       }
@@ -148,6 +148,6 @@
     public Configuration GetDefaultConfig(IFormat format) {
       Dictionary<Type, IFormatter> formatterConfig = new Dictionary<Type, IFormatter>();
-      foreach ( IFormatter f in Formatters[format.SerialDataType] ) {
-        if ( ! formatterConfig.ContainsKey(f.SourceType) )
+      foreach (IFormatter f in Formatters[format.SerialDataType]) {
+        if (!formatterConfig.ContainsKey(f.SourceType))
           formatterConfig.Add(f.SourceType, f);
       }
@@ -161,5 +161,5 @@
     }
 
-    public void DefineConfiguration(Configuration configuration) {      
+    public void DefineConfiguration(Configuration configuration) {
       customConfigurations[configuration.Format] = configuration;
       SaveSettings();
@@ -167,4 +167,4 @@
 
   }
-  
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Core/DataMemberAccessor.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Core/DataMemberAccessor.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Core/DataMemberAccessor.cs	(revision 1566)
@@ -11,5 +11,5 @@
     public readonly Getter Get;
     public readonly Setter Set;
-    public readonly string Name;    
+    public readonly string Name;
     public readonly object DefaultValue;
 
@@ -21,5 +21,5 @@
         FieldInfo fieldInfo = (FieldInfo)memberInfo;
         Get = () => fieldInfo.GetValue(obj);
-        Set = value => fieldInfo.SetValue(obj, value);        
+        Set = value => fieldInfo.SetValue(obj, value);
       } else if (memberInfo.MemberType == MemberTypes.Property) {
         PropertyInfo propertyInfo = (PropertyInfo)memberInfo;
@@ -29,5 +29,5 @@
         }
         Get = () => propertyInfo.GetValue(obj, null);
-        Set = value => propertyInfo.SetValue(obj, value, null);        
+        Set = value => propertyInfo.SetValue(obj, value, null);
       } else {
         throw new NotSupportedException(
@@ -41,5 +41,5 @@
         string name, object defaultValue,
         Getter getter, Setter setter) {
-      Name = name;      
+      Name = name;
       DefaultValue = defaultValue;
       Get = getter;
@@ -48,5 +48,5 @@
 
     public DataMemberAccessor(object o) {
-      Name = null;      
+      Name = null;
       DefaultValue = null;
       Get = () => o;
@@ -55,5 +55,5 @@
 
     public DataMemberAccessor(object o, string name) {
-      Name = name;      
+      Name = name;
       DefaultValue = null;
       Get = () => o;
Index: trunk/sources/HeuristicLab.Persistence/3.3/Core/DeSerializer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Core/DeSerializer.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Core/DeSerializer.cs	(revision 1566)
@@ -4,11 +4,11 @@
 using HeuristicLab.Persistence.Core.Tokens;
 
-namespace HeuristicLab.Persistence.Core {  
+namespace HeuristicLab.Persistence.Core {
 
-  public class ParentReference {}  
+  public class ParentReference { }
 
   class Midwife {
-    
-    public int? Id { get; private set; }    
+
+    public int? Id { get; private set; }
     public bool MetaMode { get; set; }
     public object Obj { get; private set; }
@@ -22,12 +22,12 @@
       this.Obj = value;
     }
-        
-    public Midwife(Type type, IDecomposer decomposer, int? id) {    
+
+    public Midwife(Type type, IDecomposer decomposer, int? id) {
       this.type = type;
-      this.decomposer = decomposer;      
+      this.decomposer = decomposer;
       this.Id = id;
-      MetaMode = false;      
+      MetaMode = false;
       metaInfo = new List<Tag>();
-      customValues = new List<Tag>();            
+      customValues = new List<Tag>();
     }
 
@@ -35,5 +35,5 @@
       if (Obj != null)
         throw new ApplicationException("object already instantiated");
-      Obj = decomposer.CreateInstance(type, metaInfo);      
+      Obj = decomposer.CreateInstance(type, metaInfo);
     }
 
@@ -49,11 +49,11 @@
       decomposer.Populate(Obj, customValues, type);
     }
-  }  
+  }
 
   public class Deserializer {
-    
+
     private readonly Dictionary<int, object> id2obj;
     private readonly Dictionary<Type, object> serializerMapping;
-    private readonly Stack<Midwife> parentStack;    
+    private readonly Stack<Midwife> parentStack;
     private readonly Dictionary<int, Type> typeIds;
 
@@ -79,15 +79,15 @@
     }
 
-    public object Deserialize(IEnumerable<ISerializationToken> tokens) {      
+    public object Deserialize(IEnumerable<ISerializationToken> tokens) {
       foreach (ISerializationToken token in tokens) {
         Type t = token.GetType();
-        if ( t == typeof(BeginToken) ) {
+        if (t == typeof(BeginToken)) {
           CompositeStartHandler((BeginToken)token);
-        } else if ( t == typeof(EndToken) ) {
-          CompositeEndHandler((EndToken) token);
-        } else if ( t == typeof(PrimitiveToken) ) {
-          PrimitiveHandler((PrimitiveToken) token);
-        } else if ( t == typeof(ReferenceToken) ) {
-          ReferenceHandler((ReferenceToken) token);
+        } else if (t == typeof(EndToken)) {
+          CompositeEndHandler((EndToken)token);
+        } else if (t == typeof(PrimitiveToken)) {
+          PrimitiveHandler((PrimitiveToken)token);
+        } else if (t == typeof(ReferenceToken)) {
+          ReferenceHandler((ReferenceToken)token);
         } else if (t == typeof(NullReferenceToken)) {
           NullHandler((NullReferenceToken)token);
@@ -106,5 +106,5 @@
       Type type = typeIds[(int)token.TypeId];
       IDecomposer decomposer = null;
-      if ( serializerMapping.ContainsKey(type) )
+      if (serializerMapping.ContainsKey(type))
         decomposer = serializerMapping[type] as IDecomposer;
       if (decomposer == null)
@@ -124,6 +124,6 @@
     private void PrimitiveHandler(PrimitiveToken token) {
       Type type = typeIds[(int)token.TypeId];
-      object value = ((IFormatter) serializerMapping[type]).Parse(token.SerialData);
-      if ( token.Id != null )      
+      object value = ((IFormatter)serializerMapping[type]).Parse(token.SerialData);
+      if (token.Id != null)
         id2obj[(int)token.Id] = value;
       SetValue(token.Name, value);
@@ -144,5 +144,5 @@
 
     private void MetaInfoEnd(MetaInfoEndToken token) {
-      Midwife m = parentStack.Peek();      
+      Midwife m = parentStack.Peek();
       m.MetaMode = false;
       CreateInstance(m);
@@ -152,9 +152,9 @@
       m.CreateInstance();
       if (m.Id != null)
-        id2obj.Add((int)m.Id, m.Obj);      
+        id2obj.Add((int)m.Id, m.Obj);
     }
 
     private void SetValue(string name, object value) {
-      if (parentStack.Count == 0) {        
+      if (parentStack.Count == 0) {
         parentStack.Push(new Midwife(value));
       } else {
@@ -162,5 +162,5 @@
         if (m.MetaMode == false && m.Obj == null)
           CreateInstance(m);
-        m.AddValue(name, value);        
+        m.AddValue(name, value);
       }
     }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Core/EmptyStorableClassAttribute.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Core/EmptyStorableClassAttribute.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Core/EmptyStorableClassAttribute.cs	(revision 1566)
@@ -5,13 +5,13 @@
 namespace HeuristicLab.Persistence.Core {
 
-  
+
   [AttributeUsage(
     AttributeTargets.Class,
-    AllowMultiple=false,
-    Inherited=false)]
+    AllowMultiple = false,
+    Inherited = false)]
   public class EmptyStorableClassAttribute : Attribute {
 
     private static readonly Dictionary<Type, bool> emptyTypeInfo = new Dictionary<Type, bool>();
-    public static bool IsEmptyStorable(Type type) {      
+    public static bool IsEmptyStorable(Type type) {
       if (emptyTypeInfo.ContainsKey(type))
         return emptyTypeInfo[type];
@@ -24,5 +24,5 @@
       }
       int nFields = 0;
-      foreach ( MemberInfo memberInfo in type.GetMembers(BindingFlags.Instance | BindingFlags.Public | BindingFlags.NonPublic) ) {
+      foreach (MemberInfo memberInfo in type.GetMembers(BindingFlags.Instance | BindingFlags.Public | BindingFlags.NonPublic)) {
         if (memberInfo.MemberType == MemberTypes.Field ||
           memberInfo.MemberType == MemberTypes.Property)
@@ -36,4 +36,4 @@
       return false;
     }
-  }  
+  }
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Core/FormatBase.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Core/FormatBase.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Core/FormatBase.cs	(revision 1566)
@@ -16,8 +16,8 @@
 
     public override bool Equals(object obj) {
-      FormatBase<SerialDataFormat> f = obj as FormatBase<SerialDataFormat>;      
+      FormatBase<SerialDataFormat> f = obj as FormatBase<SerialDataFormat>;
       return Equals(f);
     }
-    
+
   }
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Core/FormatterBase.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Core/FormatterBase.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Core/FormatterBase.cs	(revision 1566)
@@ -2,5 +2,5 @@
 
 namespace HeuristicLab.Persistence.Interfaces {
-  
+
   public abstract class FormatterBase<Source, SerialData> : IFormatter<Source, SerialData> where SerialData : ISerialData {
 
@@ -14,5 +14,5 @@
 
     ISerialData IFormatter.Format(object o) {
-      return Format((Source)o);    
+      return Format((Source)o);
     }
 
@@ -22,4 +22,4 @@
 
   }
-     
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Core/GeneratorBase.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Core/GeneratorBase.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Core/GeneratorBase.cs	(revision 1566)
@@ -11,5 +11,5 @@
 
 namespace HeuristicLab.Persistence.Core {
-  
+
   public abstract class GeneratorBase<T> {
     public T Format(ISerializationToken token) {
@@ -38,4 +38,4 @@
     protected abstract T Format(MetaInfoBeginToken metaInfoBeginToken);
     protected abstract T Format(MetaInfoEndToken metaInfoEndToken);
-  }  
+  }
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Core/Serializer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Core/Serializer.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Core/Serializer.cs	(revision 1566)
@@ -16,5 +16,5 @@
 
     public List<TypeMapping> TypeCache {
-      get {        
+      get {
         List<TypeMapping> result = new List<TypeMapping>();
         foreach (var pair in typeCache) {
@@ -30,9 +30,9 @@
           result.Add(new TypeMapping(pair.Value, pair.Key.VersionInvariantName(), serializer));
         }
-        return result;                                     
+        return result;
       }
     }
 
-    public Serializer(object obj, Configuration configuration) :        
+    public Serializer(object obj, Configuration configuration) :
       this(obj, configuration, "ROOT") { }
 
@@ -40,6 +40,6 @@
       this.obj = obj;
       this.rootName = rootName;
-      this.configuration = configuration;      
-      obj2id = new Dictionary<object, int> {{new object(), 0}};
+      this.configuration = configuration;
+      obj2id = new Dictionary<object, int> { { new object(), 0 } };
       typeCache = new Dictionary<Type, int>();
     }
@@ -52,5 +52,5 @@
       return Serialize(new DataMemberAccessor(rootName, null, () => obj, null));
     }
-    
+
     private IEnumerator<ISerializationToken> Serialize(DataMemberAccessor accessor) {
       object value = accessor.Get();
@@ -58,10 +58,10 @@
         return NullReferenceEnumerator(accessor.Name);
       if (obj2id.ContainsKey(value))
-        return ReferenceEnumerator(accessor.Name, obj2id[value]);              
-      if ( ! typeCache.ContainsKey(value.GetType()))
+        return ReferenceEnumerator(accessor.Name, obj2id[value]);
+      if (!typeCache.ContainsKey(value.GetType()))
         typeCache.Add(value.GetType(), typeCache.Count);
       int typeId = typeCache[value.GetType()];
       int? id = null;
-      if ( ! value.GetType().IsValueType) {
+      if (!value.GetType().IsValueType) {
         id = obj2id.Count;
         obj2id.Add(value, (int)id);
@@ -70,5 +70,5 @@
       if (formatter != null)
         return PrimitiveEnumerator(accessor.Name, typeId, formatter.Format(value), id);
-      IDecomposer decomposer = configuration.GetDecomposer(value.GetType()); 
+      IDecomposer decomposer = configuration.GetDecomposer(value.GetType());
       if (decomposer != null)
         return CompositeEnumerator(accessor.Name, decomposer.Decompose(value), id, typeId, decomposer.CreateMetaInfo(value));
@@ -76,5 +76,5 @@
           String.Format(
           "No suitable method for serializing values of type \"{0}\" found.",
-          value.GetType().VersionInvariantName()));      
+          value.GetType().VersionInvariantName()));
     }
 
@@ -94,5 +94,5 @@
     private IEnumerator<ISerializationToken> CompositeEnumerator(
         string name, IEnumerable<Tag> tags, int? id, int typeId, IEnumerable<Tag> metaInfo) {
-      yield return new BeginToken(name, typeId, id);      
+      yield return new BeginToken(name, typeId, id);
       bool first = true;
       foreach (var tag in metaInfo) {
@@ -114,5 +114,5 @@
           yield return it.Current;
       }
-      yield return new EndToken(name, typeId, id);        
+      yield return new EndToken(name, typeId, id);
     }
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Core/StorableAttribute.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Core/StorableAttribute.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Core/StorableAttribute.cs	(revision 1566)
@@ -7,6 +7,6 @@
   [AttributeUsage(
     AttributeTargets.Field | AttributeTargets.Property,
-    AllowMultiple=false,
-    Inherited=false)]
+    AllowMultiple = false,
+    Inherited = false)]
   public class StorableAttribute : Attribute {
 
@@ -19,7 +19,7 @@
       BindingFlags.NonPublic |
       BindingFlags.DeclaredOnly;
-    
+
     public static IEnumerable<KeyValuePair<StorableAttribute, MemberInfo>> GetStorableMembers(Type type) {
-      return GetStorableMembers(type, true);      
+      return GetStorableMembers(type, true);
     }
 
@@ -27,15 +27,15 @@
         GetStorableMembers(Type type, bool inherited) {
       if (type.BaseType != null)
-        foreach ( var pair in GetStorableMembers(type.BaseType) )
+        foreach (var pair in GetStorableMembers(type.BaseType))
           yield return pair;
       foreach (MemberInfo memberInfo in type.GetMembers(instanceMembers)) {
-        foreach (object attribute in memberInfo.GetCustomAttributes(false)) {          
+        foreach (object attribute in memberInfo.GetCustomAttributes(false)) {
           StorableAttribute storableAttribute =
             attribute as StorableAttribute;
           if (storableAttribute != null) {
-            yield return new KeyValuePair<StorableAttribute, MemberInfo>(storableAttribute, memberInfo);            
+            yield return new KeyValuePair<StorableAttribute, MemberInfo>(storableAttribute, memberInfo);
           }
         }
-      }      
+      }
     }
 
@@ -46,7 +46,7 @@
         storableAccessors.Add(pair.Value.Name,
           new DataMemberAccessor(pair.Value, pair.Key, obj));
-      }            
+      }
       return storableAccessors;
-    }    
+    }
   }
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Core/Tag.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Core/Tag.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Core/Tag.cs	(revision 1566)
@@ -5,5 +5,5 @@
   public class Tag {
     public string Name { get; private set; }
-    public object Value { get; set; }     
+    public object Value { get; set; }
 
     public Tag(string name, object value) {
Index: trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/MetaInfoEndToken.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/MetaInfoEndToken.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/MetaInfoEndToken.cs	(revision 1566)
@@ -4,4 +4,4 @@
 
   public class MetaInfoEndToken : ISerializationToken { }
-  
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/NulLReferenceToken.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/NulLReferenceToken.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/NulLReferenceToken.cs	(revision 1566)
@@ -2,5 +2,5 @@
 
 namespace HeuristicLab.Persistence.Core.Tokens {
-  
+
   public class NullReferenceToken : SerializationTokenBase {
     public NullReferenceToken(string name) : base(name) { }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/PrimitiveToken.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/PrimitiveToken.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/PrimitiveToken.cs	(revision 1566)
@@ -2,6 +2,6 @@
 
 namespace HeuristicLab.Persistence.Core.Tokens {
-  
-  public class PrimitiveToken : SerializationTokenBase {    
+
+  public class PrimitiveToken : SerializationTokenBase {
     public readonly int TypeId;
     public readonly int? Id;
Index: trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/ReferenceToken.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/ReferenceToken.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Core/Tokens/ReferenceToken.cs	(revision 1566)
@@ -2,6 +2,6 @@
 
 namespace HeuristicLab.Persistence.Core.Tokens {
-  
-  public class ReferenceToken : SerializationTokenBase {    
+
+  public class ReferenceToken : SerializationTokenBase {
     public readonly int Id;
     public ReferenceToken(string name, int id)
Index: trunk/sources/HeuristicLab.Persistence/3.3/Core/TypeExtensions.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Core/TypeExtensions.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Core/TypeExtensions.cs	(revision 1566)
@@ -3,5 +3,5 @@
 
 namespace HeuristicLab.Persistence.Core {
-  
+
   public static class TypeExtensions {
 
@@ -12,5 +12,5 @@
     }
 
-  }  
-  
+  }
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Core/TypeMapping.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Core/TypeMapping.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Core/TypeMapping.cs	(revision 1566)
@@ -6,5 +6,5 @@
     public readonly int Id;
     public readonly string TypeName;
-    public readonly string Serializer;    
+    public readonly string Serializer;
     public TypeMapping(int id, string typeName, string serializer) {
       Id = id;
@@ -16,7 +16,7 @@
         {"id", Id},
         {"typeName", TypeName},
-        {"serializer", Serializer}};                                            
+        {"serializer", Serializer}};
     }
-  }  
+  }
 
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Core/TypeStringBuilder.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Core/TypeStringBuilder.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Core/TypeStringBuilder.cs	(revision 1566)
@@ -7,5 +7,5 @@
 
     internal static void BuildDeclaringTypeChain(Type type, StringBuilder sb) {
-      if ( type.DeclaringType != null ) {
+      if (type.DeclaringType != null) {
         BuildDeclaringTypeChain(type.DeclaringType, sb);
         sb.Append(type.DeclaringType.Name).Append('+');
@@ -20,5 +20,5 @@
         sb.Append("[");
         Type[] args = type.GetGenericArguments();
-        for ( int i = 0; i<args.Length; i++ ) {
+        for (int i = 0; i < args.Length; i++) {
           sb.Append("[");
           BuildVersionInvariantName(args[i], sb);
@@ -28,9 +28,9 @@
           sb.Remove(sb.Length - 1, 1);
         sb.Append("]");
-      }            
+      }
       sb.Append(", ").Append(type.Assembly.GetName().Name);
     }
 
   }
-  
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/ArrayDecomposer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/ArrayDecomposer.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/ArrayDecomposer.cs	(revision 1566)
@@ -5,5 +5,5 @@
 
 namespace HeuristicLab.Persistence.Default.Decomposers {
-    
+
   [EmptyStorableClass]
   public class ArrayDecomposer : IDecomposer {
@@ -20,14 +20,14 @@
       Array a = (Array)obj;
       yield return new Tag("rank", a.Rank);
-      for (int i = 0; i < a.Rank; i++) {      
+      for (int i = 0; i < a.Rank; i++) {
         yield return new Tag("length_" + i, a.GetLength(i));
       }
-      for (int i = 0; i < a.Rank; i++) {        
+      for (int i = 0; i < a.Rank; i++) {
         yield return new Tag("lowerBound_" + i, a.GetLowerBound(i));
-      }      
+      }
     }
 
     public IEnumerable<Tag> Decompose(object array) {
-      Array a = (Array)array;      
+      Array a = (Array)array;
       int[] lengths = new int[a.Rank];
       int[] lowerBounds = new int[a.Rank];
@@ -67,8 +67,8 @@
         lowerBounds[i] = (int)e.Current.Value;
       }
-      return Array.CreateInstance(t.GetElementType(), lengths, lowerBounds);      
+      return Array.CreateInstance(t.GetElementType(), lengths, lowerBounds);
     }
 
-    public void Populate(object instance, IEnumerable<Tag> elements, Type t) {      
+    public void Populate(object instance, IEnumerable<Tag> elements, Type t) {
       Array a = (Array)instance;
       int[] lengths = new int[a.Rank];
@@ -79,5 +79,5 @@
       for (int i = 0; i < a.Rank; i++) {
         lowerBounds[i] = a.GetLowerBound(i);
-      }      
+      }
       int[] positions = (int[])lowerBounds.Clone();
       IEnumerator<Tag> e = elements.GetEnumerator();
@@ -86,6 +86,6 @@
         a.SetValue(e.Current.Value, currentPositions);
         positions[0] += 1;
-        for (int i = 0; i < a.Rank-1; i++) {
-          if (positions[i] >= lengths[i]+lowerBounds[i]) {
+        for (int i = 0; i < a.Rank - 1; i++) {
+          if (positions[i] >= lengths[i] + lowerBounds[i]) {
             positions[i] = lowerBounds[i];
             positions[i + 1] += 1;
@@ -97,4 +97,4 @@
     }
   }
-  
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/DictionaryDecomposer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/DictionaryDecomposer.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/DictionaryDecomposer.cs	(revision 1566)
@@ -5,6 +5,6 @@
 using System.Collections.Generic;
 
-namespace HeuristicLab.Persistence.Default.Decomposers {  
-  
+namespace HeuristicLab.Persistence.Default.Decomposers {
+
   [EmptyStorableClass]
   public class DictionaryDecomposer : IDecomposer {
@@ -16,5 +16,5 @@
 
     public bool CanDecompose(Type type) {
-      return type.GetInterface(typeof(IDictionary).FullName) != null;        
+      return type.GetInterface(typeof(IDictionary).FullName) != null;
     }
 
@@ -24,6 +24,6 @@
 
     public IEnumerable<Tag> Decompose(object o) {
-      IDictionary dict = (IDictionary)o;      
-      foreach ( DictionaryEntry entry in dict) {
+      IDictionary dict = (IDictionary)o;
+      foreach (DictionaryEntry entry in dict) {
         yield return new Tag("key", entry.Key);
         yield return new Tag("value", entry.Value);
@@ -43,5 +43,5 @@
         Tag value = iter.Current;
         dict.Add(key.Value, value.Value);
-      }      
+      }
     }
   }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/EnumDecomposer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/EnumDecomposer.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/EnumDecomposer.cs	(revision 1566)
@@ -5,5 +5,5 @@
 
 namespace HeuristicLab.Persistence.Default.Decomposers {
-    
+
   [EmptyStorableClass]
   public class EnumDecomposer : IDecomposer {
@@ -30,6 +30,6 @@
       return Enum.Parse(t, (string)it.Current.Value);
     }
-    
-    public void Populate(object instance, IEnumerable<Tag> elements, Type t) {      
+
+    public void Populate(object instance, IEnumerable<Tag> elements, Type t) {
     }
   }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/EnumerableDecomposer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/EnumerableDecomposer.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/EnumerableDecomposer.cs	(revision 1566)
@@ -6,5 +6,5 @@
 using System.Collections.Generic;
 
-namespace HeuristicLab.Persistence.Default.Decomposers { 
+namespace HeuristicLab.Persistence.Default.Decomposers {
 
   [EmptyStorableClass]
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/KeyValuePairDecomposer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/KeyValuePairDecomposer.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/KeyValuePairDecomposer.cs	(revision 1566)
@@ -7,5 +7,5 @@
 
 namespace HeuristicLab.Persistence.Default.Decomposers {
-  
+
   [EmptyStorableClass]
   public class KeyValuePairDecomposer : IDecomposer {
@@ -18,6 +18,6 @@
     public bool CanDecompose(Type type) {
       return type.IsGenericType &&
-             type.GetGenericTypeDefinition() == 
-             typeof (KeyValuePair<int, int>).GetGenericTypeDefinition();
+             type.GetGenericTypeDefinition() ==
+             typeof(KeyValuePair<int, int>).GetGenericTypeDefinition();
     }
 
@@ -38,10 +38,10 @@
     public void Populate(object instance, IEnumerable<Tag> o, Type t) {
       IEnumerator<Tag> iter = o.GetEnumerator();
-      iter.MoveNext();      
+      iter.MoveNext();
       t.GetFields(BindingFlags.Instance | BindingFlags.Public | BindingFlags.NonPublic)
         .Single(fi => fi.Name == "key").SetValue(instance, iter.Current.Value);
       iter.MoveNext();
       t.GetFields(BindingFlags.Instance | BindingFlags.Public | BindingFlags.NonPublic)
-        .Single(fi => fi.Name == "value").SetValue(instance, iter.Current.Value);      
+        .Single(fi => fi.Name == "value").SetValue(instance, iter.Current.Value);
     }
   }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/StorableDecomposer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/StorableDecomposer.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/StorableDecomposer.cs	(revision 1566)
@@ -34,13 +34,13 @@
     }
 
-    public void Populate(object instance, IEnumerable<Tag> objects, Type type) {           
-      var memberDict = new Dictionary<string, Tag>();      
-      IEnumerator<Tag> iter = objects.GetEnumerator();      
+    public void Populate(object instance, IEnumerable<Tag> objects, Type type) {
+      var memberDict = new Dictionary<string, Tag>();
+      IEnumerator<Tag> iter = objects.GetEnumerator();
       while (iter.MoveNext()) {
         memberDict.Add(iter.Current.Name, iter.Current);
-      }      
+      }
       foreach (var mapping in StorableAttribute.GetStorableAccessors(instance)) {
         if (memberDict.ContainsKey(mapping.Key)) {
-          mapping.Value.Set(memberDict[mapping.Key].Value);          
+          mapping.Value.Set(memberDict[mapping.Key].Value);
         } else if (mapping.Value.DefaultValue != null) {
           mapping.Value.Set(mapping.Value.DefaultValue);
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/TypeDecomposer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/TypeDecomposer.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/TypeDecomposer.cs	(revision 1566)
@@ -5,5 +5,5 @@
 
 namespace HeuristicLab.Persistence.Default.Decomposers {
-  
+
   [EmptyStorableClass]
   public class TypeDecomposer : IDecomposer {
@@ -14,5 +14,5 @@
 
     public bool CanDecompose(Type type) {
-      return type == typeof (Type) ||
+      return type == typeof(Type) ||
              type.VersionInvariantName() == "System.RuntimeType, mscorlib";
     }
@@ -30,8 +30,8 @@
         return Type.GetType((string)typeName.Value);
       }
-      return null;      
+      return null;
     }
 
-    public void Populate(object instance, IEnumerable<Tag> objects, Type type) {      
+    public void Populate(object instance, IEnumerable<Tag> objects, Type type) {
     }
   }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/X2StringDecomposer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/X2StringDecomposer.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Decomposers/X2StringDecomposer.cs	(revision 1566)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.Persistence.Default.Decomposers {
 
-  public class Number2StringConverter {    
+  public class Number2StringConverter {
 
     private static readonly List<Type> numberTypes =
@@ -27,12 +27,12 @@
       };
 
-    private static readonly Dictionary<Type, MethodInfo> numberParsers;  
+    private static readonly Dictionary<Type, MethodInfo> numberParsers;
 
     static Number2StringConverter() {
       numberParsers = new Dictionary<Type, MethodInfo>();
-      foreach ( var type in numberTypes ) {
+      foreach (var type in numberTypes) {
         numberParsers[type] = type
           .GetMethod("Parse", BindingFlags.Static | BindingFlags.Public,
-                     null, new[] {typeof (string)}, null);          
+                     null, new[] { typeof(string) }, null);
       }
     }
@@ -43,5 +43,5 @@
 
     public string Format(object obj) {
-      if (obj.GetType() == typeof(float))        
+      if (obj.GetType() == typeof(float))
         return ((float)obj).ToString("r", CultureInfo.InvariantCulture);
       if (obj.GetType() == typeof(double))
@@ -51,13 +51,13 @@
       return obj.ToString();
     }
-    
+
     public object Parse(string stringValue, Type type) {
       return numberParsers[type]
         .Invoke(null,
             BindingFlags.Static | BindingFlags.PutRefDispProperty,
-                  null, new[] {stringValue}, CultureInfo.InvariantCulture);
-    }
-
-  }  
+                  null, new[] { stringValue }, CultureInfo.InvariantCulture);
+    }
+
+  }
 
   [EmptyStorableClass]
@@ -88,8 +88,8 @@
     }
 
-    public void Populate(object instance, IEnumerable<Tag> tags, Type type) {      
-    }
-
-  }  
+    public void Populate(object instance, IEnumerable<Tag> tags, Type type) {
+    }
+
+  }
 
   [EmptyStorableClass]
@@ -99,11 +99,11 @@
       get { return 200; }
     }
-    
+
     private static readonly Number2StringConverter numberConverter =
-      new Number2StringConverter();    
+      new Number2StringConverter();
 
     public bool CanDecompose(Type type) {
       return
-        (type.IsArray || type == typeof (Array)) &&
+        (type.IsArray || type == typeof(Array)) &&
         numberConverter.CanDecompose(type.GetElementType());
     }
@@ -146,28 +146,28 @@
       var tagIter = metaInfo.GetEnumerator();
       tagIter.MoveNext();
-      var valueIter = ((string) tagIter.Current.Value)
-        .Split(new[] {';'}, StringSplitOptions.RemoveEmptyEntries)
+      var valueIter = ((string)tagIter.Current.Value)
+        .Split(new[] { ';' }, StringSplitOptions.RemoveEmptyEntries)
         .GetEnumerator();
       valueIter.MoveNext();
-      int rank = int.Parse((string) valueIter.Current);      
+      int rank = int.Parse((string)valueIter.Current);
       int[] lengths = new int[rank];
-      int[] lowerBounds = new int[rank];      
+      int[] lowerBounds = new int[rank];
       for (int i = 0; i < rank; i++) {
         valueIter.MoveNext();
-        lengths[i] = int.Parse((string) valueIter.Current);        
-      }      
+        lengths[i] = int.Parse((string)valueIter.Current);
+      }
       for (int i = 0; i < rank; i++) {
         valueIter.MoveNext();
-        lowerBounds[i] = int.Parse((string) valueIter.Current);        
+        lowerBounds[i] = int.Parse((string)valueIter.Current);
       }
       Type elementType = type.GetElementType();
       Array a = Array.CreateInstance(elementType, lengths, lowerBounds);
-      int[] positions = (int[]) lowerBounds.Clone();
+      int[] positions = (int[])lowerBounds.Clone();
       while (valueIter.MoveNext()) {
         a.SetValue(
-          numberConverter.Parse((string)valueIter.Current, elementType),          
+          numberConverter.Parse((string)valueIter.Current, elementType),
           positions);
         positions[0] += 1;
-        for ( int i = 0; i<rank-1; i++ ) {
+        for (int i = 0; i < rank - 1; i++) {
           if (positions[i] >= lengths[i] + lowerBounds[i]) {
             positions[i + 1] += 1;
@@ -195,5 +195,5 @@
     private static readonly Number2StringConverter numberConverter =
       new Number2StringConverter();
-    
+
     private static readonly Dictionary<Type, Type> interfaceCache = new Dictionary<Type, Type>();
 
@@ -212,5 +212,5 @@
       return null;
     }
-    
+
     public bool ImplementsGenericEnumerable(Type type) {
       return GetGenericEnumerableInterface(type) != null;
@@ -225,5 +225,5 @@
           BindingFlags.NonPublic |
           BindingFlags.Instance,
-          null, Type.EmptyTypes, null) != null;      
+          null, Type.EmptyTypes, null) != null;
     }
 
@@ -240,6 +240,6 @@
     public IEnumerable<Tag> Decompose(object obj) {
       Type type = obj.GetType();
-      Type enumerable = GetGenericEnumerableInterface(type);      
-      InterfaceMapping iMap = obj.GetType().GetInterfaceMap(enumerable);      
+      Type enumerable = GetGenericEnumerableInterface(type);
+      InterfaceMapping iMap = obj.GetType().GetInterfaceMap(enumerable);
       MethodInfo getEnumeratorMethod =
         iMap.TargetMethods[
@@ -247,10 +247,10 @@
           iMap.InterfaceMethods,
           enumerable.GetMethod("GetEnumerator"))];
-      object[] empty = new object[] {};
+      object[] empty = new object[] { };
       object genericEnumerator = getEnumeratorMethod.Invoke(obj, empty);
       MethodInfo moveNextMethod = genericEnumerator.GetType().GetMethod("MoveNext");
       PropertyInfo currentProperty = genericEnumerator.GetType().GetProperty("Current");
       StringBuilder sb = new StringBuilder();
-      while ( (bool)moveNextMethod.Invoke(genericEnumerator, empty) )
+      while ((bool)moveNextMethod.Invoke(genericEnumerator, empty))
         sb.Append(
           numberConverter.Format(
@@ -265,12 +265,12 @@
     public void Populate(object instance, IEnumerable<Tag> tags, Type type) {
       Type enumerable = GetGenericEnumerableInterface(type);
-      Type elementType = enumerable.GetGenericArguments()[0];      
-      MethodInfo addMethod = type.GetMethod("Add");      
+      Type elementType = enumerable.GetGenericArguments()[0];
+      MethodInfo addMethod = type.GetMethod("Add");
       var tagEnumerator = tags.GetEnumerator();
       tagEnumerator.MoveNext();
-      string[] stringValues = ((string) tagEnumerator.Current.Value)
-        .Split(new[] {';'}, StringSplitOptions.RemoveEmptyEntries);
+      string[] stringValues = ((string)tagEnumerator.Current.Value)
+        .Split(new[] { ';' }, StringSplitOptions.RemoveEmptyEntries);
       foreach (var value in stringValues) {
-        addMethod.Invoke(instance, new[] {numberConverter.Parse(value, elementType)});
+        addMethod.Invoke(instance, new[] { numberConverter.Parse(value, elementType) });
       }
     }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/ViewOnly/ViewOnlyFormat.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/ViewOnly/ViewOnlyFormat.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/ViewOnly/ViewOnlyFormat.cs	(revision 1566)
@@ -17,5 +17,5 @@
 
   public class ViewOnlyFormat : FormatBase<String> {
-    public override string Name { get { return "ViewOnly"; } }    
+    public override string Name { get { return "ViewOnly"; } }
   }
 
@@ -47,5 +47,5 @@
   [EmptyStorableClass]
   public class Float2ViewFormatter : ValueType2ViewFormatterBase<float> { }
-    
+
   public class ViewOnlyGenerator : GeneratorBase<string> {
 
@@ -58,17 +58,17 @@
       isSepReq = false;
       this.showRefs = showRefs;
-    }    
+    }
 
     protected override string Format(BeginToken beginToken) {
-      StringBuilder sb = new StringBuilder();      
+      StringBuilder sb = new StringBuilder();
       if (isSepReq)
         sb.Append(", ");
-      if ( ! string.IsNullOrEmpty(beginToken.Name) ) {
+      if (!string.IsNullOrEmpty(beginToken.Name)) {
         sb.Append(beginToken.Name);
-        if ( beginToken.Id != null && showRefs ) {
+        if (beginToken.Id != null && showRefs) {
           sb.Append('[');
           sb.Append(beginToken.Id);
           sb.Append(']');
-        }        
+        }
       }
       sb.Append("(");
@@ -78,15 +78,15 @@
 
     protected override string Format(EndToken endToken) {
-      isSepReq = true;     
+      isSepReq = true;
       return ")";
     }
 
     protected override string Format(PrimitiveToken primitiveToken) {
-      StringBuilder sb = new StringBuilder();      
+      StringBuilder sb = new StringBuilder();
       if (isSepReq)
         sb.Append(", ");
-      if ( ! string.IsNullOrEmpty(primitiveToken.Name) ) {
+      if (!string.IsNullOrEmpty(primitiveToken.Name)) {
         sb.Append(primitiveToken.Name);
-        if ( primitiveToken.Id != null && showRefs ) {
+        if (primitiveToken.Id != null && showRefs) {
           sb.Append('[');
           sb.Append(primitiveToken.Id);
@@ -96,6 +96,6 @@
       }
       sb.Append(((String)primitiveToken.SerialData).Data);
-      isSepReq = true;      
-      return sb.ToString();  
+      isSepReq = true;
+      return sb.ToString();
     }
 
@@ -104,5 +104,5 @@
       if (isSepReq)
         sb.Append(", ");
-      if ( ! string.IsNullOrEmpty(referenceToken.Name) ) {
+      if (!string.IsNullOrEmpty(referenceToken.Name)) {
         sb.Append(referenceToken.Name);
         sb.Append('=');
@@ -111,5 +111,5 @@
       sb.Append(referenceToken.Id);
       sb.Append('}');
-      isSepReq = true;      
+      isSepReq = true;
       return sb.ToString();
     }
@@ -141,9 +141,9 @@
 
     public static string Serialize(object o, Configuration configuration) {
-      Serializer s = new Serializer(o, configuration);      
+      Serializer s = new Serializer(o, configuration);
       ViewOnlyGenerator generator = new ViewOnlyGenerator();
       StringBuilder sb = new StringBuilder();
       foreach (ISerializationToken token in s) {
-        sb.Append(generator.Format(token));        
+        sb.Append(generator.Format(token));
       }
       return sb.ToString();
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/DoubleArray2XmlFormatters.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/DoubleArray2XmlFormatters.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/DoubleArray2XmlFormatters.cs	(revision 1566)
@@ -4,7 +4,7 @@
 
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
-  
+
   public abstract class DoubleArray2XmlFormatterBase<T> : NumberArray2XmlFormatterBase<T> {
-    
+
     protected override string FormatValue(object o) {
       return ((double)o).ToString("r", CultureInfo.InvariantCulture);
@@ -24,5 +24,5 @@
 
   [EmptyStorableClass]
-  public class Double3DArray2XmlFormatter : DoubleArray2XmlFormatterBase<double[,,]> { }
-  
+  public class Double3DArray2XmlFormatter : DoubleArray2XmlFormatterBase<double[, ,]> { }
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/DoubleList2XmlFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/DoubleList2XmlFormatter.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/DoubleList2XmlFormatter.cs	(revision 1566)
@@ -8,5 +8,5 @@
 
   [EmptyStorableClass]
-  public class DoubleList2XmlFormatter : NumberEnumeration2XmlFormatterBase<List<double>> {    
+  public class DoubleList2XmlFormatter : NumberEnumeration2XmlFormatterBase<List<double>> {
 
     protected override void Add(IEnumerable enumeration, object o) {
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/IntArray2XmlFormatters.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/IntArray2XmlFormatters.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/IntArray2XmlFormatters.cs	(revision 1566)
@@ -3,6 +3,6 @@
 
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
-  
-  public abstract class IntArray2XmlFormatterBase<T> : NumberArray2XmlFormatterBase<T> {    
+
+  public abstract class IntArray2XmlFormatterBase<T> : NumberArray2XmlFormatterBase<T> {
 
     protected override string FormatValue(object o) {
@@ -22,5 +22,5 @@
 
   [EmptyStorableClass]
-  public class Int3DArray2XmlFormatter : IntArray2XmlFormatterBase<int[,,]> { }
-  
+  public class Int3DArray2XmlFormatter : IntArray2XmlFormatterBase<int[, ,]> { }
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/IntList2XmlFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/IntList2XmlFormatter.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/IntList2XmlFormatter.cs	(revision 1566)
@@ -8,5 +8,5 @@
   [EmptyStorableClass]
   public class IntList2XmlFormatter : NumberEnumeration2XmlFormatterBase<List<int>> {
-    
+
     protected override void Add(IEnumerable enumeration, object o) {
       ((List<int>)enumeration).Add((int)o);
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberArray2XmlFormatterBase.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberArray2XmlFormatterBase.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberArray2XmlFormatterBase.cs	(revision 1566)
@@ -5,5 +5,5 @@
 
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
-                                                              
+
   public abstract class NumberArray2XmlFormatterBase<T> : FormatterBase<T, XmlString> {
 
@@ -30,5 +30,5 @@
       }
       int[] positions = (int[])lowerBounds.Clone();
-      while (positions[a.Rank - 1] < lengths[a.Rank - 1] + lowerBounds[a.Rank - 1]) {        
+      while (positions[a.Rank - 1] < lengths[a.Rank - 1] + lowerBounds[a.Rank - 1]) {
         sb.Append(Separator);
         sb.Append(FormatValue(a.GetValue(positions)));
@@ -42,5 +42,5 @@
           }
         }
-      }      
+      }
       return new XmlString(sb.ToString());
     }
@@ -80,4 +80,4 @@
     }
   }
-  
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberEnumeration2XmlFormatterBase.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberEnumeration2XmlFormatterBase.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberEnumeration2XmlFormatterBase.cs	(revision 1566)
@@ -5,5 +5,5 @@
 
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
-  
+
   public abstract class NumberEnumeration2XmlFormatterBase<T> : FormatterBase<T, XmlString> where T : IEnumerable {
 
@@ -32,4 +32,4 @@
     }
   }
-  
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Bool2XmlFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Bool2XmlFormatter.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Bool2XmlFormatter.cs	(revision 1566)
@@ -5,8 +5,8 @@
 using System.Globalization;
 
-namespace HeuristicLab.Persistence.Default.Xml.Primitive {  
-  
+namespace HeuristicLab.Persistence.Default.Xml.Primitive {
+
   [EmptyStorableClass]
   public class Bool2XmlFormatter : SimpleNumber2XmlFormatterBase<bool> { }
-  
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Byte2XmlFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Byte2XmlFormatter.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Byte2XmlFormatter.cs	(revision 1566)
@@ -5,8 +5,8 @@
 using System.Globalization;
 
-namespace HeuristicLab.Persistence.Default.Xml.Primitive {  
-  
+namespace HeuristicLab.Persistence.Default.Xml.Primitive {
+
   [EmptyStorableClass]
   public class Byte2XmlFormatter : SimpleNumber2XmlFormatterBase<byte> { }
-  
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/DateTime2XmlFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/DateTime2XmlFormatter.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/DateTime2XmlFormatter.cs	(revision 1566)
@@ -6,8 +6,8 @@
 
   [EmptyStorableClass]
-  public class DateTime2XmlFormatter : FormatterBase<DateTime, XmlString> {    
-    
+  public class DateTime2XmlFormatter : FormatterBase<DateTime, XmlString> {
+
     public override XmlString Format(DateTime dt) {
-      return new XmlString(dt.Ticks.ToString());      
+      return new XmlString(dt.Ticks.ToString());
     }
 
@@ -18,4 +18,4 @@
   }
 
-  
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Decimal2XmlFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Decimal2XmlFormatter.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Decimal2XmlFormatter.cs	(revision 1566)
@@ -5,8 +5,8 @@
 using System.Globalization;
 
-namespace HeuristicLab.Persistence.Default.Xml.Primitive {  
-  
+namespace HeuristicLab.Persistence.Default.Xml.Primitive {
+
   [EmptyStorableClass]
   public class Decimal2XmlFormatter : DecimalNumber2XmlFormatterBase<decimal> { }
-  
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/DecimalNumber2XmlFormatterBase.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/DecimalNumber2XmlFormatterBase.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/DecimalNumber2XmlFormatterBase.cs	(revision 1566)
@@ -5,8 +5,8 @@
 using System.Globalization;
 
-namespace HeuristicLab.Persistence.Default.Xml.Primitive {  
-  
+namespace HeuristicLab.Persistence.Default.Xml.Primitive {
+
   public abstract class DecimalNumber2XmlFormatterBase<T> : FormatterBase<T, XmlString> {
-    
+
     private static MethodInfo ToStringMethod = typeof(T)
       .GetMethod(
@@ -30,7 +30,7 @@
       return new XmlString((string)ToStringMethod.Invoke(t, new object[] { "r", CultureInfo.InvariantCulture }));
     }
-    public override T Parse(XmlString x) {      
+    public override T Parse(XmlString x) {
       return (T)ParseMethod.Invoke(null, new object[] { x.Data, CultureInfo.InvariantCulture });
     }
-  }  
+  }
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Double2XmlFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Double2XmlFormatter.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Double2XmlFormatter.cs	(revision 1566)
@@ -5,8 +5,8 @@
 using System.Globalization;
 
-namespace HeuristicLab.Persistence.Default.Xml.Primitive {  
-    
+namespace HeuristicLab.Persistence.Default.Xml.Primitive {
+
   [EmptyStorableClass]
   public class Double2XmlFormatter : DecimalNumber2XmlFormatterBase<double> { }
-  
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Float2XmlFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Float2XmlFormatter.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Float2XmlFormatter.cs	(revision 1566)
@@ -5,8 +5,8 @@
 using System.Globalization;
 
-namespace HeuristicLab.Persistence.Default.Xml.Primitive {  
-   
+namespace HeuristicLab.Persistence.Default.Xml.Primitive {
+
   [EmptyStorableClass]
   public class Float2XmlFormatter : DecimalNumber2XmlFormatterBase<float> { }
-  
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Int2XmlFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Int2XmlFormatter.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Int2XmlFormatter.cs	(revision 1566)
@@ -5,8 +5,8 @@
 using System.Globalization;
 
-namespace HeuristicLab.Persistence.Default.Xml.Primitive {  
+namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
   [EmptyStorableClass]
   public class Int2XmlFormatter : SimpleNumber2XmlFormatterBase<int> { }
-  
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Long2XmlFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Long2XmlFormatter.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Long2XmlFormatter.cs	(revision 1566)
@@ -5,8 +5,8 @@
 using System.Globalization;
 
-namespace HeuristicLab.Persistence.Default.Xml.Primitive {  
+namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
   [EmptyStorableClass]
   public class Long2XmlFormatter : SimpleNumber2XmlFormatterBase<long> { }
-  
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SByte2XmlFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SByte2XmlFormatter.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SByte2XmlFormatter.cs	(revision 1566)
@@ -5,8 +5,8 @@
 using System.Globalization;
 
-namespace HeuristicLab.Persistence.Default.Xml.Primitive {  
-  
+namespace HeuristicLab.Persistence.Default.Xml.Primitive {
+
   [EmptyStorableClass]
   public class Sbyte2XmlFormatter : SimpleNumber2XmlFormatterBase<sbyte> { }
-  
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Short2XmlFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Short2XmlFormatter.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Short2XmlFormatter.cs	(revision 1566)
@@ -5,8 +5,8 @@
 using System.Globalization;
 
-namespace HeuristicLab.Persistence.Default.Xml.Primitive {  
-  
+namespace HeuristicLab.Persistence.Default.Xml.Primitive {
+
   [EmptyStorableClass]
   public class Short2XmlFormatter : SimpleNumber2XmlFormatterBase<short> { }
-  
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SimpleNumber2XmlFormatterBase.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SimpleNumber2XmlFormatterBase.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SimpleNumber2XmlFormatterBase.cs	(revision 1566)
@@ -5,5 +5,5 @@
 using System.Globalization;
 
-namespace HeuristicLab.Persistence.Default.Xml.Primitive {  
+namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
   public abstract class SimpleNumber2XmlFormatterBase<T> : FormatterBase<T, XmlString> {
@@ -22,6 +22,6 @@
     }
     public override T Parse(XmlString x) {
-      return (T)ParseMethod.Invoke(null, new[] { x.Data });      
+      return (T)ParseMethod.Invoke(null, new[] { x.Data });
     }
-  }  
+  }
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/String2XmlFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/String2XmlFormatter.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/String2XmlFormatter.cs	(revision 1566)
@@ -9,5 +9,5 @@
   [EmptyStorableClass]
   public class String2XmlFormatter : FormatterBase<string, XmlString> {
-    
+
     public override XmlString Format(string s) {
       StringBuilder sb = new StringBuilder();
@@ -15,5 +15,5 @@
       sb.Append(s.Replace("]]>", "]]]]><![CDATA[>"));
       sb.Append("]]>");
-      return new XmlString(sb.ToString());  
+      return new XmlString(sb.ToString());
     }
 
@@ -22,5 +22,5 @@
     public override string Parse(XmlString x) {
       StringBuilder sb = new StringBuilder();
-      foreach (string s in x.Data.Split(separators,        
+      foreach (string s in x.Data.Split(separators,
         StringSplitOptions.RemoveEmptyEntries)) {
         sb.Append(s);
@@ -28,4 +28,4 @@
       return sb.ToString();
     }
-  }  
+  }
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UInt2XmlFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UInt2XmlFormatter.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UInt2XmlFormatter.cs	(revision 1566)
@@ -5,8 +5,8 @@
 using System.Globalization;
 
-namespace HeuristicLab.Persistence.Default.Xml.Primitive {  
-  
+namespace HeuristicLab.Persistence.Default.Xml.Primitive {
+
   [EmptyStorableClass]
   public class UInt2XmlFormatter : SimpleNumber2XmlFormatterBase<uint> { }
-  
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/ULong2XmlFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/ULong2XmlFormatter.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/ULong2XmlFormatter.cs	(revision 1566)
@@ -5,8 +5,8 @@
 using System.Globalization;
 
-namespace HeuristicLab.Persistence.Default.Xml.Primitive {  
-  
+namespace HeuristicLab.Persistence.Default.Xml.Primitive {
+
   [EmptyStorableClass]
-  public class ULong2XmlFormatter : SimpleNumber2XmlFormatterBase<ulong> { }  
-  
+  public class ULong2XmlFormatter : SimpleNumber2XmlFormatterBase<ulong> { }
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UShort2XmlFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UShort2XmlFormatter.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UShort2XmlFormatter.cs	(revision 1566)
@@ -5,8 +5,8 @@
 using System.Globalization;
 
-namespace HeuristicLab.Persistence.Default.Xml.Primitive {  
-  
+namespace HeuristicLab.Persistence.Default.Xml.Primitive {
+
   [EmptyStorableClass]
   public class UShort2XmlFormatter : SimpleNumber2XmlFormatterBase<ushort> { }
-  
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlFormat.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlFormat.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlFormat.cs	(revision 1566)
@@ -6,5 +6,5 @@
   [EmptyStorableClass]
   public class XmlFormat : FormatBase<XmlString> {
-    public override string Name { get { return "XML"; } }    
+    public override string Name { get { return "XML"; } }
   }
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlGenerator.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlGenerator.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlGenerator.cs	(revision 1566)
@@ -21,7 +21,7 @@
     public const string METAINFO = "METAINFO";
   }
-  
+
   public class XmlGenerator : GeneratorBase<string> {
-    
+
     private int depth;
 
@@ -45,5 +45,5 @@
       if (type == NodeType.End)
         sb.Append('/');
-      sb.Append(name);      
+      sb.Append(name);
       foreach (var attribute in attributes) {
         if (attribute.Value != null && !string.IsNullOrEmpty(attribute.Value.ToString())) {
@@ -58,5 +58,5 @@
         sb.Append('/');
       sb.Append(">");
-      return sb.ToString();      
+      return sb.ToString();
     }
 
@@ -65,5 +65,5 @@
     }
 
-    protected override string Format(BeginToken beginToken) {            
+    protected override string Format(BeginToken beginToken) {
       var attributes = new Dictionary<string, object> {
         {"name", beginToken.Name},
@@ -76,10 +76,10 @@
     }
 
-    protected override string Format(EndToken endToken) {      
+    protected override string Format(EndToken endToken) {
       depth -= 1;
       return Prefix + "</" + XmlStrings.COMPOSITE + ">\r\n";
     }
 
-    protected override string Format(PrimitiveToken dataToken) {      
+    protected override string Format(PrimitiveToken dataToken) {
       var attributes =
         new Dictionary<string, object> {
@@ -89,17 +89,17 @@
       return Prefix +
         FormatNode(XmlStrings.PRIMITIVE, attributes, NodeType.Start) +
-        ((XmlString)dataToken.SerialData).Data + "</" + XmlStrings.PRIMITIVE + ">\r\n";      
+        ((XmlString)dataToken.SerialData).Data + "</" + XmlStrings.PRIMITIVE + ">\r\n";
     }
 
-    protected override string Format(ReferenceToken refToken) {      
+    protected override string Format(ReferenceToken refToken) {
       var attributes = new Dictionary<string, object> {
         {"ref", refToken.Id},
-        {"name", refToken.Name}};                                       
-      return Prefix + FormatNode(XmlStrings.REFERENCE, attributes, NodeType.Inline) + "\r\n";  
+        {"name", refToken.Name}};
+      return Prefix + FormatNode(XmlStrings.REFERENCE, attributes, NodeType.Inline) + "\r\n";
     }
 
-    protected override string Format(NullReferenceToken nullRefToken) {      
+    protected override string Format(NullReferenceToken nullRefToken) {
       var attributes = new Dictionary<string, object>{
-        {"name", nullRefToken.Name}};      
+        {"name", nullRefToken.Name}};
       return Prefix + FormatNode(XmlStrings.NULL, attributes, NodeType.Inline) + "\r\n";
     }
@@ -127,5 +127,5 @@
     }
 
-    public static void Serialize(object o, string filename) {      
+    public static void Serialize(object o, string filename) {
       Serialize(o, filename, ConfigurationService.Instance.GetDefaultConfig(new XmlFormat()));
     }
@@ -135,8 +135,8 @@
       XmlGenerator generator = new XmlGenerator();
       ZipOutputStream zipStream = new ZipOutputStream(File.Create(filename));
-      zipStream.SetLevel(9);      
-      zipStream.PutNextEntry(new ZipEntry("data.xml"));      
+      zipStream.SetLevel(9);
+      zipStream.PutNextEntry(new ZipEntry("data.xml"));
       StreamWriter writer = new StreamWriter(zipStream);
-      ILog logger = Logger.GetDefaultLogger();      
+      ILog logger = Logger.GetDefaultLogger();
       foreach (ISerializationToken token in serializer) {
         string line = generator.Format(token);
@@ -151,6 +151,6 @@
         logger.Debug(line);
       }
-      writer.Flush();            
-      zipStream.Close();      
+      writer.Flush();
+      zipStream.Close();
     }
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlParser.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlParser.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlParser.cs	(revision 1566)
@@ -19,8 +19,8 @@
     public XmlParser(TextReader input) {
       XmlReaderSettings settings = new XmlReaderSettings {
-                                       ConformanceLevel = ConformanceLevel.Document,
-                                       IgnoreWhitespace = true,
-                                       IgnoreComments = true
-                                     };
+        ConformanceLevel = ConformanceLevel.Document,
+        IgnoreWhitespace = true,
+        IgnoreComments = true
+      };
       reader = XmlReader.Create(input, settings);
       handlers = new Dictionary<string, Handler> {
@@ -66,5 +66,5 @@
 
     private IEnumerator<ISerializationToken> ParseComposite() {
-      string name = reader.GetAttribute("name");            
+      string name = reader.GetAttribute("name");
       string idString = reader.GetAttribute("id");
       int? id = null;
@@ -104,5 +104,5 @@
       var typeCache = new List<TypeMapping>();
       XmlReader xmlReader = XmlReader.Create(reader);
-      while ( xmlReader.Read() ) {
+      while (xmlReader.Read()) {
         if (xmlReader.Name == XmlStrings.TYPE) {
           typeCache.Add(new TypeMapping(
@@ -116,5 +116,5 @@
 
     public static object DeSerialize(string filename) {
-      ZipFile zipFile = new ZipFile(filename);      
+      ZipFile zipFile = new ZipFile(filename);
       Deserializer deSerializer = new Deserializer(
         ParseTypeCache(
@@ -123,6 +123,6 @@
       XmlParser parser = new XmlParser(
         new StreamReader(zipFile.GetInputStream(zipFile.GetEntry("data.xml"))));
-      return deSerializer.Deserialize(parser);      
+      return deSerializer.Deserialize(parser);
     }
-  }  
+  }
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlString.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlString.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlString.cs	(revision 1566)
@@ -3,5 +3,5 @@
 
 namespace HeuristicLab.Persistence.Default.Xml {
-  
+
   public class XmlString : ISerialData {
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/HeuristicLabPersistencePlugin.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/HeuristicLabPersistencePlugin.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/HeuristicLabPersistencePlugin.cs	(revision 1566)
@@ -6,5 +6,5 @@
   [PluginFile(Filename = "HeuristicLab.Persistence-3.3.dll", Filetype = PluginFileType.Assembly)]
   [Dependency(Dependency = "HeuristicLab.Tracing-3.2")]
-  public class HeuristicLabPersistencePlugin : PluginBase {}
+  public class HeuristicLabPersistencePlugin : PluginBase { }
 
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Interfaces/IDecomposer.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Interfaces/IDecomposer.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Interfaces/IDecomposer.cs	(revision 1566)
@@ -47,5 +47,5 @@
     /// </summary>    
     void Populate(object instance, IEnumerable<Tag> tags, Type type);
-  }  
+  }
 
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Interfaces/IFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Interfaces/IFormatter.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Interfaces/IFormatter.cs	(revision 1566)
@@ -12,5 +12,5 @@
     Type SourceType { get; }
     ISerialData Format(object o);
-    object Parse(ISerialData o);  
+    object Parse(ISerialData o);
   }
 
@@ -23,5 +23,5 @@
     SerialData Format(Source o);
     Source Parse(SerialData t);
-  }  
-     
+  }
+
 }
Index: trunk/sources/HeuristicLab.Persistence/3.3/Interfaces/ISerialData.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Interfaces/ISerialData.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Interfaces/ISerialData.cs	(revision 1566)
@@ -3,5 +3,5 @@
 namespace HeuristicLab.Persistence.Interfaces {
 
-  
+
   /// <summary>
   /// Marker interface for serialized values generated and parsed by 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Interfaces/ISerializationToken.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Interfaces/ISerializationToken.cs	(revision 1564)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Interfaces/ISerializationToken.cs	(revision 1566)
@@ -6,5 +6,5 @@
   /// deserializer, parser and generator.  
   /// </summary>
-  public interface ISerializationToken {}
-  
+  public interface ISerializationToken { }
+
 }
